package net.ihe.gazelle.business.provider;


import ca.uhn.fhir.context.FhirContext;
import org.hl7.fhir.r4.model.Bundle;
import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class CHBundleProviderMock  {

    public final static String ID_TO_RETURN= "OK";
    public final static String PATH_TO_RESOURCE="src/test/ResourcesToTestPurpose/";



    protected Bundle returnBundleFromResource(String nameOfFile){
        try{

            if ("null.json".equals(nameOfFile)){
                return null;
            }
            Bundle bundleResquest = (Bundle) FhirContext.forR4().newJsonParser().parseResource(new FileReader(PATH_TO_RESOURCE+nameOfFile));
            return bundleResquest;
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return null;
    }


}// end class