package net.ihe.gazelle.business.provider;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertThrows;

class PatientResourceProviderExceptionTest {
    /**
     * Dummy Test for coverage
     *
     * @throws PatientResourceProviderException testException
     */
    @Test
    void generateException() {
        assertThrows(PatientResourceProviderException.class, () -> {
            throw new PatientResourceProviderException("Test");
        });
    }

    /**
     * Dummy Test for coverage
     *
     * @throws PatientResourceProviderException testException
     */
    @Test
    void generateException1() {
        assertThrows(PatientResourceProviderException.class, () -> {
            throw new PatientResourceProviderException("Test", new IllegalArgumentException("test"));
        });
    }

    /**
     * Dummy Test for coverage
     *
     * @throws PatientResourceProviderException testException
     */
    @Test
    void generateException2() {
        assertThrows(PatientResourceProviderException.class, () -> {
            throw new PatientResourceProviderException(new IllegalArgumentException("test"));
        });
    }

    /**
     * Dummy Test for coverage
     *
     * @throws PatientResourceProviderException testException
     */
    @Test
    void generateException4() {
        assertThrows(PatientResourceProviderException.class, () -> {
            throw new PatientResourceProviderException("Test", new IllegalArgumentException("test"), false, true);
        });
    }

    /**
     * Dummy Test for coverage
     *
     * @throws PatientResourceProviderException testException
     */
    @Test
    void generateException3() {
        assertThrows(PatientResourceProviderException.class, () -> {
            throw new PatientResourceProviderException();
        });
    }
}